Subject: draft-lee-mpls-path-request-01

From: "Hass, Barry" <[email-masked]>
Date: Wed, 26 Sep 2001 15:28:33 -0400

I would like to suggest a modification to draft-lee-mpls-path-request-01
to make it more generally applicable. In the case where one or more
disjoint paths is requested, I believe that a source and destination
should be specified for each path, rather than a single source and
destination for all the paths.

Consider the case of provisioning 2 disjoint paths from A to B, where
the paths will cross 2 OSPF areas, X and Y. Suppose A has 2 points
of attachment to X (X1 and X2), X has 2 points of attachment to Y
(X3 - Y1 and X4 - Y2), and Y has 2 points of attachment to B (Y3 and Y4).
The 2 paths you really want to end up with in this case are
(A, X1, X3, Y1, Y3, B) and (A, X2, X4, Y2, Y4, B). Presumably, in this
scenario, A knows that it has to cross X and Y to get to B (i.e., it has
a loose route). So it would query X and Y's Path Computation Entities
to get the routes across those areas. But as the draft now stands,
A has to specify a single ingress to and egress from each area.